import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class CookieExample extends HttpServlet {
    protected void doGet(HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException {
    	PrintWriter pw = res.getWriter();
    	res.setContentType("text/html");
    	Cookie cok = new Cookie("name","20");
    	res.addCookie(cok);
    	pw.println("Hi Viewr's<br>");
    	cok.setDomain("www.Devmauals.com");
    	String s = cok.getDomain();
    	pw.println("Domain is : "+s+"<br>");
    	cok.setMaxAge(10);
    	pw.println("Maximum age of cookies is "+cok.getMaxAge()+" sec <br>");
    	cok.setValue("4");
    	pw.println("Set value = "+cok.getValue());
    	cok.setPath("/cookieExample");
    	pw.println("<br>Path = "+cok.getPath()+"<br>");
    	cok.setSecure(true);
    	pw.println("Cookies is sent using secure protocols : "+cok.getSecure()+"<br>");
    	
    }
}
